SDL_isnanf(3)

NAME
SDL_isnanf - Return whether the value is NaN.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_isnanf(float x);

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns non-zero if the value is NaN, 0 otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_isnan(3)